:root {
  --main-color: #e48f45;
  --secondary-color: #6b240c;
  font-family: sans-serif;
}
body {
  background-color: bisque;
  margin: 0%;
  position: relative;
}
#stickyBuffer {
  width: 100%;
  height: 5rem;
}
hr {
  margin: 7rem 0;
  border: var(--secondary-color) solid 1px;
}
header {
  position: fixed;
  height: 5rem;
  width: 100%;
  margin-top: 0;
  top: 0;
  z-index: 100;
}

/* Navigation  */
nav {
  background-color: var(--main-color);
  margin: 0;
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
#headerImg {
  width: 8rem;
}
#longLogo {
  display: none;
  width: 60%;
}
.nav-button {
  height: 2.5rem;
  width: 2.5rem;
  border: 0;
  margin: 0 1rem;
  background-color: transparent;
  font-size: 2rem;
  color: var(--secondary-color);
}
@media (min-width: 768px) {
  #longLogo {
    display: inline;
  }
}
/* Nav Animation */
@keyframes navAnimation {
  0% {
    rotate: 0;
  }
  100% {
    rotate: -90deg;
  }
}
.navAnimStartClass {
  animation: forwards navAnimation 1s;
}
.navAnimEndClass {
  animation: reverse navAnimation 1s;
}
/* Nav Animation End */
.dropdown-container {
  position: relative;
  display: inline-block;
}
.dropdown-list-container {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  right: 0;
}
.dropdown-container:hover .dropdown-list-container {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
}
.dropdown-list-container a {
  text-decoration: none;
  color: black;
  padding: 0.8rem 0.4rem;
  margin: 0;
  width: 160px;
}
.dropdown-list-container a:hover {
  background-color: #e48f45;
}
.dropdown-list-container a:active {
  color: black;
}
/* Main Styling */
main {
  margin: 1rem;
}
/* meSection */
.meSection {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 1rem;
}
#meSectionImg1 {
  width: 15rem;
  margin: 2rem 0;
}
#meSectionImg2 {
  width: 15rem;
  margin: 2rem 0;
}

#meSectionimg2Container {
  display: flex;
  justify-content: center;
  width: 100%;
}
@media (min-width: 768px) {
  body {
    font-size: 1.5rem;
  }
  .meSection {
    align-items: flex-start;
  }
  #meSectionImg1 {
    align-self: center;
  }
  #meSectionImg2 {
    width: 25rem;
  }
}
@media (min-width: 1200px) {
  .meSection {
    display: block;
  }
  #meSectionImg1 {
    float: right;
    margin: 2rem;
  }
  #meSectionImg2 {
    width: 50%;
  }
}
#meSectionHeader {
  align-self: flex-start;
}
/* NEW STUFF */
.newStuff {
  display: flex;
  align-items: center;
  flex-direction: column;
}
#newStuffContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.newStuff h2 {
  text-align: center;
}

.newStuff p a {
  text-decoration: none;
  color: green;
}
#imgBig {
  margin-top: 2rem;
  width: 16rem;
}
.Carusel {
  width: 3.5rem;
}
.caruselContainer {
  display: flex;
  justify-content: space-between;
}

@media (min-width: 1200px) {
  #newStuffContainer {
    width: 100%;
  }
  #imgBig {
    width: 32rem;
  }
  .Carusel {
    width: 7rem;
  }
}
/* FAVORITES SECTION */

#favProjectContainerL {
  display: flex;
  justify-content: center;
  position: relative;
  flex-wrap: wrap;
}

#favoritesHeader {
  text-align: center;
}
.favProjectContainerSM {
  width: 6rem;
  height: 6rem;
  margin: 1.5rem .5rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.favProjectContainerSM img {
    margin-bottom: .5rem;
    width: 6rem;
}
.fa-solid {
    color: var(--secondary-color);
}
@media (min-width: 1200px) {
  .favProjectContainerSM {
    width: 15rem;
    margin-bottom: 12rem;
  }
  .favProjectContainerSM img{
    width: 100%;
  }
}
/* SOCIALS  */

#socialSect h2 {
  text-align: center;
}

#socialContainer {
  display: flex;
  font-size: 3rem;
  justify-content: space-around;
}

.fa-brands {
  color: var(--secondary-color);
}
/* MAIL */
#mailContainer {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#mailContainer a {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-decoration: none;
}

.fa-envelope {
  margin-bottom: 1rem;
  font-size: 4rem;
}

/* FORM */

form {
  display: flex;
  flex-direction: column;
}

input {
  margin: 0.5rem;
}

textarea {
  margin: 0.5rem;
}

#submitBtn {
  width: 4rem;
  align-self: center;
}

/* Impressum */

#impressumSect {
  text-align: center;
}

#centerForMobile{
  display: flex;
  flex-direction: column;
  align-items: center;
}
footer {
    background-color: var(--main-color);
    height: 5rem;
}
@media (min-width: 1200px) {

  #impressumSect h2 {
    margin-bottom: 4rem;
  }
}